Description: Set configuration directory and python version
Author: Joachim Reichel <reichel@debian.org>

Index: cppcheck/gui/main.cpp
===================================================================
--- cppcheck.orig/gui/main.cpp
+++ cppcheck/gui/main.cpp
@@ -56,6 +56,12 @@ int main(int argc, char *argv[])
 
     QSettings* settings = new QSettings("Cppcheck", "Cppcheck-GUI", &app);
 
+    // Set some default settings
+    if( settings->value("DATADIR", QString()).toString().isEmpty())
+        settings->setValue("DATADIR", FILESDIR);
+    if( settings->value(SETTINGS_PYTHON_PATH, QString()).toString().isEmpty())
+        settings->setValue(SETTINGS_PYTHON_PATH, QString("/usr/bin/python3"));
+
     // Set data dir..
     for (const QString& arg : QApplication::arguments()) {
         if (arg.startsWith("--data-dir=")) {
Index: cppcheck/htmlreport/cppcheck-htmlreport
===================================================================
--- cppcheck.orig/htmlreport/cppcheck-htmlreport
+++ cppcheck/htmlreport/cppcheck-htmlreport
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 
 from __future__ import unicode_literals
 
